"Fossies" - the Fresh Open Source Software Archive

Member "tcpflow-1.6.1/tests/Makefile.in" (19 Feb 2021, 27561 Bytes) of package /linux/misc/tcpflow-1.6.1.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 1.5.0_vs_1.6.1.

    1 # Makefile.in generated by automake 1.16.3 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2020 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 #
   18 # About the tests:
   19 #
   20 # test1.sh - 
   21 # test2.sh - 
   22 # test3.sh - 
   23 #
   24 # About the test files:
   25 #
   26 VPATH = @srcdir@
   27 am__is_gnu_make = { \
   28   if test -z '$(MAKELEVEL)'; then \
   29     false; \
   30   elif test -n '$(MAKE_HOST)'; then \
   31     true; \
   32   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   33     true; \
   34   else \
   35     false; \
   36   fi; \
   37 }
   38 am__make_running_with_option = \
   39   case $${target_option-} in \
   40       ?) ;; \
   41       *) echo "am__make_running_with_option: internal error: invalid" \
   42               "target option '$${target_option-}' specified" >&2; \
   43          exit 1;; \
   44   esac; \
   45   has_opt=no; \
   46   sane_makeflags=$$MAKEFLAGS; \
   47   if $(am__is_gnu_make); then \
   48     sane_makeflags=$$MFLAGS; \
   49   else \
   50     case $$MAKEFLAGS in \
   51       *\\[\ \	]*) \
   52         bs=\\; \
   53         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   54           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   55     esac; \
   56   fi; \
   57   skip_next=no; \
   58   strip_trailopt () \
   59   { \
   60     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   61   }; \
   62   for flg in $$sane_makeflags; do \
   63     test $$skip_next = yes && { skip_next=no; continue; }; \
   64     case $$flg in \
   65       *=*|--*) continue;; \
   66         -*I) strip_trailopt 'I'; skip_next=yes;; \
   67       -*I?*) strip_trailopt 'I';; \
   68         -*O) strip_trailopt 'O'; skip_next=yes;; \
   69       -*O?*) strip_trailopt 'O';; \
   70         -*l) strip_trailopt 'l'; skip_next=yes;; \
   71       -*l?*) strip_trailopt 'l';; \
   72       -[dEDm]) skip_next=yes;; \
   73       -[JT]) skip_next=yes;; \
   74     esac; \
   75     case $$flg in \
   76       *$$target_option*) has_opt=yes; break;; \
   77     esac; \
   78   done; \
   79   test $$has_opt = yes
   80 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   81 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   82 pkgdatadir = $(datadir)/@PACKAGE@
   83 pkgincludedir = $(includedir)/@PACKAGE@
   84 pkglibdir = $(libdir)/@PACKAGE@
   85 pkglibexecdir = $(libexecdir)/@PACKAGE@
   86 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   87 install_sh_DATA = $(install_sh) -c -m 644
   88 install_sh_PROGRAM = $(install_sh) -c
   89 install_sh_SCRIPT = $(install_sh) -c
   90 INSTALL_HEADER = $(INSTALL_DATA)
   91 transform = $(program_transform_name)
   92 NORMAL_INSTALL = :
   93 PRE_INSTALL = :
   94 POST_INSTALL = :
   95 NORMAL_UNINSTALL = :
   96 PRE_UNINSTALL = :
   97 POST_UNINSTALL = :
   98 subdir = tests
   99 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  100 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
  101 	$(top_srcdir)/m4/slg_searchdirs.m4 \
  102 	$(top_srcdir)/m4/slg_gcc_all_warnings.m4 \
  103 	$(top_srcdir)/src/be13_api/be13_configure.m4 \
  104 	$(top_srcdir)/src/be13_api/dfxml/src/dfxml_configure.m4 \
  105 	$(top_srcdir)/configure.ac
  106 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  107 	$(ACLOCAL_M4)
  108 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
  109 mkinstalldirs = $(install_sh) -d
  110 CONFIG_HEADER = $(top_builddir)/config.h
  111 CONFIG_CLEAN_FILES =
  112 CONFIG_CLEAN_VPATH_FILES =
  113 AM_V_P = $(am__v_P_@AM_V@)
  114 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  115 am__v_P_0 = false
  116 am__v_P_1 = :
  117 AM_V_GEN = $(am__v_GEN_@AM_V@)
  118 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  119 am__v_GEN_0 = @echo "  GEN     " $@;
  120 am__v_GEN_1 = 
  121 AM_V_at = $(am__v_at_@AM_V@)
  122 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  123 am__v_at_0 = @
  124 am__v_at_1 = 
  125 SOURCES =
  126 DIST_SOURCES =
  127 am__can_run_installinfo = \
  128   case $$AM_UPDATE_INFO_DIR in \
  129     n|no|NO) false;; \
  130     *) (install-info --version) >/dev/null 2>&1;; \
  131   esac
  132 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  133 am__tty_colors_dummy = \
  134   mgn= red= grn= lgn= blu= brg= std=; \
  135   am__color_tests=no
  136 am__tty_colors = { \
  137   $(am__tty_colors_dummy); \
  138   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  139     am__color_tests=no; \
  140   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  141     am__color_tests=yes; \
  142   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  143     am__color_tests=yes; \
  144   fi; \
  145   if test $$am__color_tests = yes; then \
  146     red=''; \
  147     grn=''; \
  148     lgn=''; \
  149     blu=''; \
  150     mgn=''; \
  151     brg=''; \
  152     std=''; \
  153   fi; \
  154 }
  155 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  156 am__vpath_adj = case $$p in \
  157     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  158     *) f=$$p;; \
  159   esac;
  160 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  161 am__install_max = 40
  162 am__nobase_strip_setup = \
  163   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  164 am__nobase_strip = \
  165   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  166 am__nobase_list = $(am__nobase_strip_setup); \
  167   for p in $$list; do echo "$$p $$p"; done | \
  168   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  169   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  170     if (++n[$$2] == $(am__install_max)) \
  171       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  172     END { for (dir in files) print dir, files[dir] }'
  173 am__base_list = \
  174   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  175   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  176 am__uninstall_files_from_dir = { \
  177   test -z "$$files" \
  178     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  179     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  180          $(am__cd) "$$dir" && rm -f $$files; }; \
  181   }
  182 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  183 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  184 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  185 # A command that, given a newline-separated list of test names on the
  186 # standard input, print the name of the tests that are to be re-run
  187 # upon "make recheck".
  188 am__list_recheck_tests = $(AWK) '{ \
  189   recheck = 1; \
  190   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  191     { \
  192       if (rc < 0) \
  193         { \
  194           if ((getline line2 < ($$0 ".log")) < 0) \
  195 	    recheck = 0; \
  196           break; \
  197         } \
  198       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  199         { \
  200           recheck = 0; \
  201           break; \
  202         } \
  203       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  204         { \
  205           break; \
  206         } \
  207     }; \
  208   if (recheck) \
  209     print $$0; \
  210   close ($$0 ".trs"); \
  211   close ($$0 ".log"); \
  212 }'
  213 # A command that, given a newline-separated list of test names on the
  214 # standard input, create the global log from their .trs and .log files.
  215 am__create_global_log = $(AWK) ' \
  216 function fatal(msg) \
  217 { \
  218   print "fatal: making $@: " msg | "cat >&2"; \
  219   exit 1; \
  220 } \
  221 function rst_section(header) \
  222 { \
  223   print header; \
  224   len = length(header); \
  225   for (i = 1; i <= len; i = i + 1) \
  226     printf "="; \
  227   printf "\n\n"; \
  228 } \
  229 { \
  230   copy_in_global_log = 1; \
  231   global_test_result = "RUN"; \
  232   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  233     { \
  234       if (rc < 0) \
  235          fatal("failed to read from " $$0 ".trs"); \
  236       if (line ~ /$(am__global_test_result_rx)/) \
  237         { \
  238           sub("$(am__global_test_result_rx)", "", line); \
  239           sub("[ 	]*$$", "", line); \
  240           global_test_result = line; \
  241         } \
  242       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  243         copy_in_global_log = 0; \
  244     }; \
  245   if (copy_in_global_log) \
  246     { \
  247       rst_section(global_test_result ": " $$0); \
  248       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  249       { \
  250         if (rc < 0) \
  251           fatal("failed to read from " $$0 ".log"); \
  252         print line; \
  253       }; \
  254       printf "\n"; \
  255     }; \
  256   close ($$0 ".trs"); \
  257   close ($$0 ".log"); \
  258 }'
  259 # Restructured Text title.
  260 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  261 # Solaris 10 'make', and several other traditional 'make' implementations,
  262 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  263 # by disabling -e (using the XSI extension "set +e") if it's set.
  264 am__sh_e_setup = case $$- in *e*) set +e;; esac
  265 # Default flags passed to test drivers.
  266 am__common_driver_flags = \
  267   --color-tests "$$am__color_tests" \
  268   --enable-hard-errors "$$am__enable_hard_errors" \
  269   --expect-failure "$$am__expect_failure"
  270 # To be inserted before the command running the test.  Creates the
  271 # directory for the log if needed.  Stores in $dir the directory
  272 # containing $f, in $tst the test, in $log the log.  Executes the
  273 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  274 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  275 # will run the test scripts (or their associated LOG_COMPILER, if
  276 # thy have one).
  277 am__check_pre = \
  278 $(am__sh_e_setup);					\
  279 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  280 $(am__tty_colors);					\
  281 srcdir=$(srcdir); export srcdir;			\
  282 case "$@" in						\
  283   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  284     *) am__odir=.;; 					\
  285 esac;							\
  286 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  287   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  288 if test -f "./$$f"; then dir=./;			\
  289 elif test -f "$$f"; then dir=;				\
  290 else dir="$(srcdir)/"; fi;				\
  291 tst=$$dir$$f; log='$@'; 				\
  292 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  293   am__enable_hard_errors=no; 				\
  294 else							\
  295   am__enable_hard_errors=yes; 				\
  296 fi; 							\
  297 case " $(XFAIL_TESTS) " in				\
  298   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  299     am__expect_failure=yes;;				\
  300   *)							\
  301     am__expect_failure=no;;				\
  302 esac; 							\
  303 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  304 # A shell command to get the names of the tests scripts with any registered
  305 # extension removed (i.e., equivalently, the names of the test logs, with
  306 # the '.log' extension removed).  The result is saved in the shell variable
  307 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  308 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  309 # since that might cause problem with VPATH rewrites for suffix-less tests.
  310 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  311 am__set_TESTS_bases = \
  312   bases='$(TEST_LOGS)'; \
  313   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  314   bases=`echo $$bases`
  315 AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  316 RECHECK_LOGS = $(TEST_LOGS)
  317 AM_RECURSIVE_TARGETS = check recheck
  318 TEST_SUITE_LOG = test-suite.log
  319 TEST_EXTENSIONS = @EXEEXT@ .test
  320 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  321 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  322 am__set_b = \
  323   case '$@' in \
  324     */*) \
  325       case '$*' in \
  326         */*) b='$*';; \
  327           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  328        esac;; \
  329     *) \
  330       b='$*';; \
  331   esac
  332 am__test_logs1 = $(TESTS:=.log)
  333 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  334 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  335 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  336 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  337 	$(TEST_LOG_FLAGS)
  338 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/test-driver
  339 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  340 ACLOCAL = @ACLOCAL@
  341 AMTAR = @AMTAR@
  342 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  343 AUTOCONF = @AUTOCONF@
  344 AUTOHEADER = @AUTOHEADER@
  345 AUTOMAKE = @AUTOMAKE@
  346 AWK = @AWK@
  347 CC = @CC@
  348 CCDEPMODE = @CCDEPMODE@
  349 CFLAGS = @CFLAGS@
  350 CPP = @CPP@
  351 CPPFLAGS = @CPPFLAGS@
  352 CXX = @CXX@
  353 CXXCPP = @CXXCPP@
  354 CXXDEPMODE = @CXXDEPMODE@
  355 CXXFLAGS = @CXXFLAGS@
  356 CYGPATH_W = @CYGPATH_W@
  357 DEFS = @DEFS@
  358 DEPDIR = @DEPDIR@
  359 ECHO_C = @ECHO_C@
  360 ECHO_N = @ECHO_N@
  361 ECHO_T = @ECHO_T@
  362 EGREP = @EGREP@
  363 EXEEXT = @EXEEXT@
  364 GREP = @GREP@
  365 HAVE_CXX17 = @HAVE_CXX17@
  366 INSTALL = @INSTALL@
  367 INSTALL_DATA = @INSTALL_DATA@
  368 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  369 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  370 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  371 LDFLAGS = @LDFLAGS@
  372 LIBOBJS = @LIBOBJS@
  373 LIBS = @LIBS@
  374 LTLIBOBJS = @LTLIBOBJS@
  375 MAINT = @MAINT@
  376 MAKEINFO = @MAKEINFO@
  377 MKDIR_P = @MKDIR_P@
  378 OBJEXT = @OBJEXT@
  379 PACKAGE = @PACKAGE@
  380 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  381 PACKAGE_NAME = @PACKAGE_NAME@
  382 PACKAGE_STRING = @PACKAGE_STRING@
  383 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  384 PACKAGE_URL = @PACKAGE_URL@
  385 PACKAGE_VERSION = @PACKAGE_VERSION@
  386 PATH_SEPARATOR = @PATH_SEPARATOR@
  387 SET_MAKE = @SET_MAKE@
  388 SHELL = @SHELL@
  389 STRIP = @STRIP@
  390 VERSION = @VERSION@
  391 abs_builddir = @abs_builddir@
  392 abs_srcdir = @abs_srcdir@
  393 abs_top_builddir = @abs_top_builddir@
  394 abs_top_srcdir = @abs_top_srcdir@
  395 ac_ct_CC = @ac_ct_CC@
  396 ac_ct_CXX = @ac_ct_CXX@
  397 ac_prefix_program = @ac_prefix_program@
  398 am__include = @am__include@
  399 am__leading_dot = @am__leading_dot@
  400 am__quote = @am__quote@
  401 am__tar = @am__tar@
  402 am__untar = @am__untar@
  403 bindir = @bindir@
  404 build_alias = @build_alias@
  405 builddir = @builddir@
  406 datadir = @datadir@
  407 datarootdir = @datarootdir@
  408 docdir = @docdir@
  409 dvidir = @dvidir@
  410 exec_prefix = @exec_prefix@
  411 git = @git@
  412 host_alias = @host_alias@
  413 htmldir = @htmldir@
  414 includedir = @includedir@
  415 infodir = @infodir@
  416 install_sh = @install_sh@
  417 libdir = @libdir@
  418 libexecdir = @libexecdir@
  419 localedir = @localedir@
  420 localstatedir = @localstatedir@
  421 mandir = @mandir@
  422 mkdir_p = @mkdir_p@
  423 oldincludedir = @oldincludedir@
  424 pdfdir = @pdfdir@
  425 prefix = @prefix@
  426 program_transform_name = @program_transform_name@
  427 psdir = @psdir@
  428 sbindir = @sbindir@
  429 sharedstatedir = @sharedstatedir@
  430 srcdir = @srcdir@
  431 sysconfdir = @sysconfdir@
  432 target_alias = @target_alias@
  433 top_build_prefix = @top_build_prefix@
  434 top_builddir = @top_builddir@
  435 top_srcdir = @top_srcdir@
  436 SH_TESTS = test1.sh test-pdfs.sh test-multifile.sh test-iptree.sh test-chroot.sh
  437 EXTRA_DIST = $(SH_TESTS) test-subs.sh test1.pcap test2.pcap test3.pcap test4.pcap  
  438 TESTS = $(SH_TESTS)
  439 CLEANFILES = \
  440 	out/010.000.000.001.09999-010.000.000.002.36559--42 \
  441 	out/010.000.000.002.36559-010.000.000.001.09999--42 \
  442 	out/074.125.019.101.00080-192.168.001.102.50956 \
  443 	out/074.125.019.104.00080-192.168.001.102.50955 \
  444 	out/192.168.001.102.50955-074.125.019.104.00080 \
  445 	out/192.168.001.102.50956-074.125.019.101.00080 \
  446 	out/2001:6f8:102d::2d0:9ff:fee3:e8de.59201-2001:6f8:900:7c0::2.00080 \
  447 	out/2001:6f8:900:7c0::2.00080-2001:6f8:102d::2d0:9ff:fee3:e8de.59201 \
  448 	out/report.xml 
  449 
  450 all: all-am
  451 
  452 .SUFFIXES:
  453 .SUFFIXES: .log .test .test$(EXEEXT) .trs
  454 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  455 	@for dep in $?; do \
  456 	  case '$(am__configure_deps)' in \
  457 	    *$$dep*) \
  458 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  459 	        && { if test -f $@; then exit 0; else break; fi; }; \
  460 	      exit 1;; \
  461 	  esac; \
  462 	done; \
  463 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
  464 	$(am__cd) $(top_srcdir) && \
  465 	  $(AUTOMAKE) --foreign tests/Makefile
  466 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  467 	@case '$?' in \
  468 	  *config.status*) \
  469 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  470 	  *) \
  471 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  472 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  473 	esac;
  474 
  475 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  476 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  477 
  478 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  479 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  480 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  481 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  482 $(am__aclocal_m4_deps):
  483 tags TAGS:
  484 
  485 ctags CTAGS:
  486 
  487 cscope cscopelist:
  488 
  489 
  490 # Recover from deleted '.trs' file; this should ensure that
  491 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  492 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  493 # to avoid problems with "make -n".
  494 .log.trs:
  495 	rm -f $< $@
  496 	$(MAKE) $(AM_MAKEFLAGS) $<
  497 
  498 # Leading 'am--fnord' is there to ensure the list of targets does not
  499 # expand to empty, as could happen e.g. with make check TESTS=''.
  500 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  501 am--force-recheck:
  502 	@:
  503 
  504 $(TEST_SUITE_LOG): $(TEST_LOGS)
  505 	@$(am__set_TESTS_bases); \
  506 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  507 	redo_bases=`for i in $$bases; do \
  508 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  509 	            done`; \
  510 	if test -n "$$redo_bases"; then \
  511 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  512 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  513 	  if $(am__make_dryrun); then :; else \
  514 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  515 	  fi; \
  516 	fi; \
  517 	if test -n "$$am__remaking_logs"; then \
  518 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  519 	       "recursion detected" >&2; \
  520 	elif test -n "$$redo_logs"; then \
  521 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  522 	fi; \
  523 	if $(am__make_dryrun); then :; else \
  524 	  st=0;  \
  525 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  526 	  for i in $$redo_bases; do \
  527 	    test -f $$i.trs && test -r $$i.trs \
  528 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  529 	    test -f $$i.log && test -r $$i.log \
  530 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  531 	  done; \
  532 	  test $$st -eq 0 || exit 1; \
  533 	fi
  534 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  535 	ws='[ 	]'; \
  536 	results=`for b in $$bases; do echo $$b.trs; done`; \
  537 	test -n "$$results" || results=/dev/null; \
  538 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  539 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  540 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  541 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  542 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  543 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  544 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  545 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  546 	  success=true; \
  547 	else \
  548 	  success=false; \
  549 	fi; \
  550 	br='==================='; br=$$br$$br$$br$$br; \
  551 	result_count () \
  552 	{ \
  553 	    if test x"$$1" = x"--maybe-color"; then \
  554 	      maybe_colorize=yes; \
  555 	    elif test x"$$1" = x"--no-color"; then \
  556 	      maybe_colorize=no; \
  557 	    else \
  558 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  559 	    fi; \
  560 	    shift; \
  561 	    desc=$$1 count=$$2; \
  562 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  563 	      color_start=$$3 color_end=$$std; \
  564 	    else \
  565 	      color_start= color_end=; \
  566 	    fi; \
  567 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  568 	}; \
  569 	create_testsuite_report () \
  570 	{ \
  571 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  572 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  573 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  574 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  575 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  576 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  577 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  578 	}; \
  579 	{								\
  580 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  581 	    $(am__rst_title);						\
  582 	  create_testsuite_report --no-color;				\
  583 	  echo;								\
  584 	  echo ".. contents:: :depth: 2";				\
  585 	  echo;								\
  586 	  for b in $$bases; do echo $$b; done				\
  587 	    | $(am__create_global_log);					\
  588 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  589 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  590 	if $$success; then						\
  591 	  col="$$grn";							\
  592 	 else								\
  593 	  col="$$red";							\
  594 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  595 	fi;								\
  596 	echo "$${col}$$br$${std}"; 					\
  597 	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
  598 	echo "$${col}$$br$${std}"; 					\
  599 	create_testsuite_report --maybe-color;				\
  600 	echo "$$col$$br$$std";						\
  601 	if $$success; then :; else					\
  602 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
  603 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
  604 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
  605 	  fi;								\
  606 	  echo "$$col$$br$$std";					\
  607 	fi;								\
  608 	$$success || exit 1
  609 
  610 check-TESTS: 
  611 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  612 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  613 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  614 	@set +e; $(am__set_TESTS_bases); \
  615 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  616 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  617 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  618 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  619 	exit $$?;
  620 recheck: all 
  621 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  622 	@set +e; $(am__set_TESTS_bases); \
  623 	bases=`for i in $$bases; do echo $$i; done \
  624 	         | $(am__list_recheck_tests)` || exit 1; \
  625 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  626 	log_list=`echo $$log_list`; \
  627 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  628 	        am__force_recheck=am--force-recheck \
  629 	        TEST_LOGS="$$log_list"; \
  630 	exit $$?
  631 test1.sh.log: test1.sh
  632 	@p='test1.sh'; \
  633 	b='test1.sh'; \
  634 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  635 	--log-file $$b.log --trs-file $$b.trs \
  636 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  637 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  638 test-pdfs.sh.log: test-pdfs.sh
  639 	@p='test-pdfs.sh'; \
  640 	b='test-pdfs.sh'; \
  641 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  642 	--log-file $$b.log --trs-file $$b.trs \
  643 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  644 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  645 test-multifile.sh.log: test-multifile.sh
  646 	@p='test-multifile.sh'; \
  647 	b='test-multifile.sh'; \
  648 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  649 	--log-file $$b.log --trs-file $$b.trs \
  650 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  651 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  652 test-iptree.sh.log: test-iptree.sh
  653 	@p='test-iptree.sh'; \
  654 	b='test-iptree.sh'; \
  655 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  656 	--log-file $$b.log --trs-file $$b.trs \
  657 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  658 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  659 test-chroot.sh.log: test-chroot.sh
  660 	@p='test-chroot.sh'; \
  661 	b='test-chroot.sh'; \
  662 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  663 	--log-file $$b.log --trs-file $$b.trs \
  664 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  665 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  666 .test.log:
  667 	@p='$<'; \
  668 	$(am__set_b); \
  669 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  670 	--log-file $$b.log --trs-file $$b.trs \
  671 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  672 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  673 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  674 @am__EXEEXT_TRUE@	@p='$<'; \
  675 @am__EXEEXT_TRUE@	$(am__set_b); \
  676 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  677 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
  678 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  679 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
  680 
  681 distdir: $(BUILT_SOURCES)
  682 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  683 
  684 distdir-am: $(DISTFILES)
  685 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  686 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  687 	list='$(DISTFILES)'; \
  688 	  dist_files=`for file in $$list; do echo $$file; done | \
  689 	  sed -e "s|^$$srcdirstrip/||;t" \
  690 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  691 	case $$dist_files in \
  692 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  693 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  694 			   sort -u` ;; \
  695 	esac; \
  696 	for file in $$dist_files; do \
  697 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  698 	  if test -d $$d/$$file; then \
  699 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  700 	    if test -d "$(distdir)/$$file"; then \
  701 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  702 	    fi; \
  703 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  704 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  705 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  706 	    fi; \
  707 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  708 	  else \
  709 	    test -f "$(distdir)/$$file" \
  710 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  711 	    || exit 1; \
  712 	  fi; \
  713 	done
  714 check-am: all-am
  715 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
  716 check: check-am
  717 all-am: Makefile
  718 installdirs:
  719 install: install-am
  720 install-exec: install-exec-am
  721 install-data: install-data-am
  722 uninstall: uninstall-am
  723 
  724 install-am: all-am
  725 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  726 
  727 installcheck: installcheck-am
  728 install-strip:
  729 	if test -z '$(STRIP)'; then \
  730 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  731 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  732 	      install; \
  733 	else \
  734 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  735 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  736 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  737 	fi
  738 mostlyclean-generic:
  739 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  740 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  741 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  742 
  743 clean-generic:
  744 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  745 
  746 distclean-generic:
  747 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  748 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  749 
  750 maintainer-clean-generic:
  751 	@echo "This command is intended for maintainers to use"
  752 	@echo "it deletes files that may require special tools to rebuild."
  753 clean-am: clean-generic mostlyclean-am
  754 
  755 distclean: distclean-am
  756 	-rm -f Makefile
  757 distclean-am: clean-am distclean-generic
  758 
  759 dvi: dvi-am
  760 
  761 dvi-am:
  762 
  763 html: html-am
  764 
  765 html-am:
  766 
  767 info: info-am
  768 
  769 info-am:
  770 
  771 install-data-am:
  772 
  773 install-dvi: install-dvi-am
  774 
  775 install-dvi-am:
  776 
  777 install-exec-am:
  778 
  779 install-html: install-html-am
  780 
  781 install-html-am:
  782 
  783 install-info: install-info-am
  784 
  785 install-info-am:
  786 
  787 install-man:
  788 
  789 install-pdf: install-pdf-am
  790 
  791 install-pdf-am:
  792 
  793 install-ps: install-ps-am
  794 
  795 install-ps-am:
  796 
  797 installcheck-am:
  798 
  799 maintainer-clean: maintainer-clean-am
  800 	-rm -f Makefile
  801 maintainer-clean-am: distclean-am maintainer-clean-generic
  802 
  803 mostlyclean: mostlyclean-am
  804 
  805 mostlyclean-am: mostlyclean-generic
  806 
  807 pdf: pdf-am
  808 
  809 pdf-am:
  810 
  811 ps: ps-am
  812 
  813 ps-am:
  814 
  815 uninstall-am:
  816 
  817 .MAKE: check-am install-am install-strip
  818 
  819 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
  820 	cscopelist-am ctags-am distclean distclean-generic distdir dvi \
  821 	dvi-am html html-am info info-am install install-am \
  822 	install-data install-data-am install-dvi install-dvi-am \
  823 	install-exec install-exec-am install-html install-html-am \
  824 	install-info install-info-am install-man install-pdf \
  825 	install-pdf-am install-ps install-ps-am install-strip \
  826 	installcheck installcheck-am installdirs maintainer-clean \
  827 	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  828 	pdf-am ps ps-am recheck tags-am uninstall uninstall-am
  829 
  830 .PRECIOUS: Makefile
  831 
  832 
  833 nitroba.pcap:
  834 	wget http://downloads.digitalcorpora.org/corpora/packets/2008-nitroba/nitroba.pcap
  835 
  836 clean:
  837 	@echo Erase any left over trace files
  838 	/bin/rm -f *.[0-9][0-9][0-9][0-9][0-9]-[0-9][0-9][0-9].*
  839 
  840 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  841 # Otherwise a system limit (for SysV at least) may be exceeded.
  842 .NOEXPORT: